package auto;

/**
 * @author Boris Yartsev
 */
public class TimerAutomatonUpdator extends AutomatonUpdator {

    private double startTime;
    private boolean needDelete;
    private double period;

    public TimerAutomatonUpdator(Automaton auto, int event, double period, boolean needDelete, double currentTime) {
        super(auto, event);
        this.period = period;
        this.needDelete = needDelete;
        this.startTime = currentTime;
    }


    public boolean timerElapsed(double currentTime) {
        return currentTime > startTime + period;
    }

    public boolean isNeedDelete() {
        return needDelete;
    }
}
