package robots.view;

import java.awt.*;

/**
 * @author Boris Yartsev
 */
public class MandMFactory {
    public static final int MANDM_GREEN = 1;
    public static final int MANDM_RED = 2;
    public static final int MANDM_YELLOW = 3;
    public static final int MANDM_BLUE = 4;

    private static Image mandmGreen = Toolkit.getDefaultToolkit().createImage("images\\robots\\mandmg.gif");
    private static Image mandmRed = Toolkit.getDefaultToolkit().createImage("images\\robots\\mandmr.gif");
    private static Image mandmYellow = Toolkit.getDefaultToolkit().createImage("images\\robots\\mandmy.gif");
    private static Image mandmBlue = Toolkit.getDefaultToolkit().createImage("images\\robots\\mandmb.gif");

    public static Image createMandM(int type) {
        switch(type) {
            case MANDM_GREEN:
                return mandmGreen;

            case MANDM_RED:
                return mandmRed;

            case MANDM_YELLOW:
                return mandmYellow;

            case MANDM_BLUE:
                return mandmBlue;
        }

        return null;
    }

    public static ImageZoomer createMandMZoomer(int type) {
        Image mandmImage = createMandM(type);
        return new ImageZoomer(mandmImage);
    }

    public static ImageZoomer createZoomer(int type, int zoomFactors) {
        System.exit(1);
        return null;
    }
}
